org.apache.datasketches.common

## Annotation Type SuppressFBWarnings

    @Retention(value=CLASS)
    public @interface SuppressFBWarnings

Used to suppress SpotBug warnings.

Author:
  Lee Rhodes

### Optional Element Summary

Optional Elements
`String` `justification` Optional explanation for the suppression.
`String[]` `value` A list of comma-separated, quoted SpotBugs warnings that are to be suppressed in the associated annotated element.

### Element Detail

#### value

    public abstract String[] value

A list of comma-separated, quoted SpotBugs warnings that are to be suppressed in the associated annotated element. The value can be a bug category, kind or pattern.

Returns:
  list of relevant bug descriptors

Default:
  {}

#### justification

    public abstract String justification

Optional explanation for the suppression.

Returns:
  explanation

Default:
  ""